Description

Because the GEOMETRY field is useless in the Filter, it can be skipped in order to avoid errors.

Related issues:

Related to Application: gvSIG desktop - gvSIG feature requests # 3113: Add a ... Outdated

01/16/2015

History

#1 - 12/20/2014 12:24 PM - Joaquin del Cerro Murciano

Antonio Falciano wrote:

Because the GEOMETRY field is useless in the Filter, it can be skipped in order to avoid errors.

Estoy un poco perdido...

¢, Donde exactamente crees que habria que eliminarlo ?

#2 - 12/20/2014 12:30 PM - Antonio Falciano

- File select_by_attributes.png added

Joaquin del Cerro Murciano wrote:

Hi Joaquin,

Antonio Falciano wrote:

Estoy un poco perdido...

¢ Donde exactamente crees que habria que eliminarlo ?

Because the GEOMETRY field is useless in the Filter, it can be skipped in order to avoid errors.

in "Select by attribute" (Filter) windows, where we can apply an SQL statement in order to do selections.

#3 - 01/14/2015 08:32 PM - Antonio Falciano
- File skipGEOMETRYfromFilter.patch added

05/21/2024

1/3




Has patch: Yes

| attach a patch that fixes the feature request.

#4 - 01/15/2015 09:47 AM - Alvaro Anguix

- Has patch set to Yes

#5 - 01/15/2015 06:30 PM - Antonio Falciano
- Target version set to 2.1.0-2268-rc4

#6 - 01/16/2015 11:40 AM - Alvaro Anguix
Hello Antonio,
| don't know if it's good idea to skyp the geometry field...Certainly, we need to explain the possibilities of this field, because you can access to the

object "geometry" and you can access all functions...
As example, with "[GEOMETRY].centroid().getX()" you have the X coordinate of the centroid of geometry.

#7 - 01/16/2015 12:08 PM - Antonio Falciano

Alvaro Anguix wrote:

I don't know if it's good idea to skyp the geometry field...Certainly, we need to explain the possibilities of this field, because you can access to the
object "geometry" and you can access all functions...
As example, with "[GEOMETRY].centroid().getX()" you have the X coordinate of the centroid of geometry.

Hi Alvaro,

as in subject, filtering the GEOMETRY field could have a bit of sense only in case of multigeometry datasource, e.g. DXF. But in the most part of cases
(e.g. SHP) is not useful and could be only source of errors.

Instead, the calculation of some expressions (like in your example) can be very useful without doubts. However, I'd create a new command type (e.g.
"Geometric") in addiction to Numeric, String and Data ones and add a lot of new commands/functions, such as x(), y(), area(), perimeter(), xCentroid(),
yCentroid() and a lot more, masking the whole stuff behind ("[GEOMETRY].centroid().getX()") in order to make it more user-friendly. On the other side,

it could be very tricky the access to all hidden functions.

#8 - 01/16/2015 04:35 PM - Antonio Falciano

Antonio Falciano wrote:
Instead, the calculation of some expressions (like in your example) can be very useful without doubts. However, I'd create a new command type
(e.g. "Geometric") in addiction to Numeric, String and Data ones and add a lot of new commands/functions, such as x(), y(), area(), perimeter(),

xCentroid(), yCentroid() and a lot more, masking the whole stuff behind ("[GEOMETRY].centroid().getX()") in order to make it more user-friendly.

On the other side, it could be very tricky the access to all hidden functions.

FYI, I've just opened a new feature request about this (#3113) and set #3109 as Invalid.

#9 - 01/16/2015 05:09 PM - Alvaro Anguix
- Related to gvSIG feature requests #3113: Add a new geometric command type in the Field Calculator added

#10 - 01/21/2015 10:19 AM - Joaquin del Cerro Murciano
- Target version deleted (2.1.0-2268-rc4)

#11 - 11/09/2017 08:32 PM - Antonio Falciano

- Status changed from New to Invalid
